package com.ruoyi.system.mapper.zb;


import com.ruoyi.system.domain.zb.ZbAutoRecord;
import com.ruoyi.system.domain.zb.ZbAutoRecordExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ZbAutoRecordMapper {
    long countByExample(ZbAutoRecordExample example);

    int deleteByExample(ZbAutoRecordExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ZbAutoRecord record);

    int insertSelective(ZbAutoRecord record);

    List<ZbAutoRecord> selectByExample(ZbAutoRecordExample example);

    ZbAutoRecord selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ZbAutoRecord record, @Param("example") ZbAutoRecordExample example);

    int updateByExample(@Param("record") ZbAutoRecord record, @Param("example") ZbAutoRecordExample example);

    int updateByPrimaryKeySelective(ZbAutoRecord record);

    int updateByPrimaryKey(ZbAutoRecord record);
}